REAL TIME PAGE

The Real Time function keys control the interpreted display of 
acquired traffic, according to protocol specific options set up 
in the menu. Options are:
   F1  User data format: HEX, HEXS (HEX with a space 
       between each pair), ASCII, and EBCDIC.  User data is
       the data which is not interpreted.
   F2  Specifies what acquisition information to display. This 
       information is displayed near the center of the screen 
       on the opposite side of the other interpreted data. For 
       example, the DCE acquisition information is shown on 
       the left half of the page. The acquisition information 
       includes the Port (A or B), unless None is selected.  
          None    No information
          Number  Event number in decimal
          Flags   No. of flags preceding frames in decimal
          Time    Timestamp of the end of the event in the 
                  format hh:mm:ss ddd ddd  (hours, minutes, 
                  seconds, microseconds (in decimal)
          dTime   Elapsed time since previous event
          CRC     The CRC in hex, and OK or BAD 
   F3  Determines types of events that will be displayed. This 
       is not available for Async or BSC.
         I     Information frames only are displayed
         IU    Information and Unnumbered frames only  
         IUS   Information, Unnumbered, and Supervisory frames 
         IUSL  All frames, plus lead events are displayed 

   F4 - F9  Protocol-specific.  For each protocol, they 
            determine whether or not a specific element is 
            displayed.  These use the following conventions:
            *   Displayed interpreted and uninterpreted
            "   Element is displayed uninterpreted
            +   Element is displayed interpreted
            -   Element is acquired, but not displayed
        For example, in X.25 Analysis, if the F4 key displays 
        HDLC+, it indicates that the HDLC component will be 
        displayed in interpreted format.  If displayed in an 
        uninterpreted format, the component is displayed in 
        the code selected using the F1 key.  
   F10  Selects the user data display. The options are:
             User-   No user data shown (only interpreted data 
                     is displayed)
             User+   User data shown in code selected in F1
             Raw     All data is shown as user data (no 
                     interpretation) 

For a description of SS#7 Analysis, select the SS7ANAL option
in the Applications Selection menu, and press the HELP key.

Control Keys:
     Ctrl B   Turns on/off display of a line between events 
     Ctrl C   For Dual Port machines, changes function 
              key control between port A and port B 
     Ctrl E   Switches the display of "Incomplete event"
              message on/off
     Ctrl P   Activates analysis to disk/printer feature
     Ctrl S   Activates highlight/search feature for current 
              protocol when Chameleon is controlled locally
     Ctrl U   Activates highlight/search feature for current 
              protocol when Chameleon is controlled remotely
     Ctrl Z   Enables User Parts Editor (SS7 only)
     A or a   For Dual Port machines, changes Real Time 
              function key display to port A
     B or b   For Dual Port machines, changes Real Time 
              function key display to port B

