DUAL LINE APPLICATION

The Dual Line application displays data in a 2-line format (DCE
over DTE) which represents the actual sequence of data as it
was acquired by the Chameleon.  This type of display enables
you to determine the overlap of data being received
simultaneously from both sides of the line.  

There are two Dual Line modes:

    -Run mode causes the page to be updated as data is 
     acquired from the line or from disk. 

    -Freeze mode freezes the Dual Line page so that it is no 
     longer updated as data is acquired.  In Freeze mode there 
     are additional function keys which enable you to scroll 
     through the data.  

The features of the Run mode display are as follows:

    -DCE and DTE baud rates are shown at the top of the screen
    -DCE data is displayed in brown above the DTE data
    -DTE data is displayed in underlined cyan below DCE data
    -Each line displays up to 64 characters
    -Interface lead states are displayed when F3=State
    -Data is displayed in the format set selected with F1
    -Blank spaces between frames indicate idle time

The Run Mode function keys are:

    F1 determines in what format the data is displayed:

      -ASCII
      -EBCDIC
      -HEX 
      -HEXS (Hex pairs alternating in high/low intensity color)


    F2 determines how idle data bytes are displayed.  Idle data 
    is shown as blank spaces between frames.  F2 compresses the 
    display of idle data bytes, as follows:

       1     Only one byte of idle data (blank space) is shown 
             between each frame

       10    Up to 10 bytes of idle data (blank spaces) are 
             displayed between each frame.

       100   Up to 100 bytes of idle data are displayed between 
             each frame.

       1000  Up to 1000 bytes of idle data are displayed 
             between each frame.


    F3 determines what data is displayed:

      -Data   Data (but not interface leads) are displayed.
      -State  Interface lead states and data are displayed.



F10 toggles between Run mode and Freeze mode.  

      -Run      Dual Line is currently in Run mode.
      -Freeze   Dual Line is currently in Freeze mode.


In FREEZE mode, the following additional fields appear:

    -Binary value of the data at the cursor
    -Hex value of the data at the cursor
    -ASCII or EBCDIC value of the data at the cursor
     (depending on current F1 selection)
    -Time stamp indicating the time at the end of the event

In FREEZE mode, the following additional function keys appear:

    -F7 Prev displays the previous page of data.
    -F8 Next displays the next page of data.
    -F9 marks the byte at the cursor as the base line byte.
        When a byte is marked, the following fields appear:

       -dtime   Displays the elapsed time between the marked
                byte and the currently selected byte

       -bytes   Displays the offset of the currently selected 
                byte to the marked byte

