PRIMARY RATE INTERFACE (PRI) SETUP MENU


The PRI Setup menu enables you to configure the PRI for your
testing application.  To access the setup menu, press F7 Physicl
in the Chameleon main configuration menu.

The PRI runtime page enables you to monitor the PRI and change 
the configuration while your application is running.  To access
the PRI runtime page, start the PRIMARY application in the
Applications Selection menu.

The PRI Setup and runtime display the same parameters, as
described below.  



MODE  Selects the Layer 1 mode the PRI.

      Simulate  Configures the Chameleon as an active device at 
                Layer 1.
     
      Monitor   Configures the Chameleon as a passive device at 
                Layer 1.


FRAMING    Selects the type of framing to use.  

           D4    D4 framing.  Displayed for ANSI PRI only.
           ESF   Extended Superframe. Displayed for ANSI PRI 
                 only.
           CEPT  CEPT recommended framing.  Displayed for CEPT 
                 PRI only.


SIGNAL 
CODING     Selects the Zero Suppression scheme.   The 
           ANSI PRI options are:

           B8ZS   Bipolar 8 Zero Suppression
           AMI    Alternate Mark Inverted (no zero suppression)

           The CEPT Primary Rate Interface options are:

           HDB3   High Density Bipolar 3 (HDB3), which provides 
                  sufficient 1s density when there is a stream 
                  of continuous 0s.
           AMI    Alternate Mark Inverted (no zero suppression)


SIGNALING   For ANSI, this parameter enables/disables
            signaling information for Lines 1 and 2 by 
            selecting ON or OFF.  In D4 framing, this is done
            using robbed-bit signaling (8-bit, least 
            significant bit, on every sixth frame).  With ESF 
            framing, the signaling bits are transmitted using 
            F-bits from the frames in the ESF (24 frames).

            For CEPT, this parameter enables signaling 
            information in time slot 16.  When ON, time slot 
            16 contains the current signaling information.  
            When OFF, time slot 16 is available for other 
            uses.


TRANSMIT 
MODE       Has the following options:

           Resync     Re-synchronizes the line
           Repeater   Loops Receiver line back to Transmit
                      line without reframing
           Transparency   Available for Line 1 only. All 
                          channels/time slots, except those 
                          for which selections are made, are 
                          looped from the Receive line to the 
                          Transmit line. The data provided by 
                          the Transmit Mode options, (Codec, 
                          Data Y, and Milliwatt), replace the 
                          incoming traffic on those channels 
                          or time slots
           Yellow Alarm   Transmits the Yellow Alarm Signal
           Idle   Transmits an idle sequence on the line.


DATA RATE  Available only when ANSI framing (D4 or ESF) is 
           selected.  It specifies the data rate for Data X
           and Data Y at 56K or 64K.


IDLE 
CHANNEL    Selects the idle pattern to transmit on the channels 
           for which no other functions have been selected.  
           Enter the idle pattern in the following format:

                 x x x x x x x x
               (LSB)         (MSB) 


IDLE 
SIGNAL     Enables you to change the default idle pattern 
           sent on the signaling channel. Relevant only when 
           the Signalling parameter is ON. 

           For ANSI (D4 and ESF) framing, enter a single hex 
           pair that represents the idle bit pattern. 
           For CEPT framing, enter 2 hex pairs that represent 
           the idle bit pattern. 


RECEIVE 
DATA X     Selects the receive channel/time slot for 
           Chameleon applications packages.  Data can be 
           received on either Line 1 or Line 2, but not on 
           both simultaneously.


RECEIVE 
CODEC      Selects the channel/time slot to enable the Codec 
           Receiver.  It is available on Line 1 only.


RECEIVE
DATA Y     Available in PRI Monitor mode only, for Line 1 only.  
           It selects the channel/time slot to enable the 
           Data Y Receiver.


TRANSMIT
DATA Y     Available only when Simulation is selected as the 
           Mode of Operation in the main configuration menu. 
           When the PRI is in Monitor Mode, this selects the 
           channel/time slot to use with the DSO Y Receiver.
           When the PRI is in Simulate mode, it takes the
           channel/time slot for the Line 1 Transmitter.



TRANSMIT 
CODEC       Available in PRI Simulate mode only.  It selects the 
            channel/time slot for the Codec Transmitter.


TRANSMIT 
MILLIWATT   Available in PRI Simulate mode only.  It selects the 
            channel/time slot to enable the Digital Milliwatt 
            tone Generator.  The following tones are used:

            ANSI (D4/ESF)   1004 Hz at 0 dBm
            CEPT            820 Hz or 1020 Hz


MILLIWATT 
TONE         Available in Simulate mode only.  When Transmit 
             Milliwatt is selected, it enables you to select 
             the Milliwatt Tone for CEPT.  The options are 
             820  Hz and 1020 Hz.


DS0 
INVERSION    Inverts the data on the specified channels/time 
             slots in Data X and Data Y.


CRC     Available only when CEPT framing is selected.  It 
        enables/disables a Cyclic Redundancy Check (CRC) in the 
        signals.

