MODE OF OPERATION

The Mode of Operation parameter determines how the Chameleon 
will be used for your testing application.  The options are:

   Monitor     The Chameleon acts as a passive device.  When 
               Monitoring from a live line, the Chameleon 
               captures and analyzes the traffic transmitted 
               between the devices under test.  When 
               monitoring Direct-from-Disk, the Chameleon
               analyzes traffic that was previously stored to 
               the hard disk.  See below for a description of 
               Monitoring applications available.

   Simulate    The Chameleon emulates a specific type of 
               device so that a second device can be tested.  
               This option is available on the Chameleon 20
               only when the C Run-Time Module is installed.

   Fast 
   Monitoring  Chameleon 32 Dual Port machines only.  
               Selects the Fast Monitoring Mode which 
               enables the Chameleon to monitor a line up to 
               256 kbps.  Only Port A can be used for fast
               monitoring.  When selected, Port B is not
               available.
 
   Off         If you are not going to use the selected port, 
               select the Off option.  This option is 
               relevant for Chameleon 32 Dual Port machines 
               and Chameleon 32s with the optional C 
               Development package.

MONITORING APPLICATIONS

There are several Monitoring applications available, depending 
on the protocol you are monitoring.  The applications are:

ANALYSIS interprets the data being monitored according to the 
protocol. It provides two pages: Real Time and History.  The 
Real Time page continuously displays the full duplex line 
traffic. The History page allows you to move back and forward 
through previously acquired data and re-interpret data in 
various ways. The screen layout in both the Real Time and 
History pages is divided vertically into DCE (on the left) and 
DTE (on the right). Function keys control how the data is 
displayed.

STATISTICS provides a statistical display of the data being 
monitored.  It is available for X.25, SNA, BSC and ISDN 
(Q.921), and SS#7.  The Statistics pages provide you with level 
2 and level 3 information about all devices on the line, or a 
specific device on the line. It includes information about the 
number of frames and packets transmitted and received, and the 
line utilization for data and control frames.  It also shows 
statistical information in bar graphs.

EVENT  or DUALLINE provide a simplified display of the events 
in a dual line format.  The EVENT application shows each event 
as a single character so that you can see the sequence of 
events occurring on the line.  For example, for BOPs, it shows 
events as B (baud rate change), I (Information Frame), U 
(Unnumbered Frame), L (Lead change).  This application is 
available for all protocols.  The DUALLINE display shows each 
byte as it was acquired by the Chameleon with the DCE data 
displayed above the DTE data.  

TRIGGERING enables you to process only specific types of events 
by building condition/action statements.  For example, you can 
write a trigger to display only DCE events, or to calculate 
statistics about events from a specified device.  Protocol-
specific mnemonic triggering is available for HDLC, X.25, 
Q.921, Q.931, DASS 2, and SS#7. 

