
SHELL COMMANDS

&         Runs program in background mode.
          progname &

#         Programmer's remark.
          #text

'         Echoes text to screen
          'text

batch     Executes a batch file
          batch filename

cat       Prints file(s) to standard output
          cat filename

cd        Changes current directory
          cd path

cp        Copies files into a directory
          cp oldfile newfile

ctags     Creates a file named tags that references the 
          functions in the target C program files.  The tags 
          file can then be used to locate functions while 
          using the vi editor.
          ctags files

dump      Prints file(s) in hex to standard output
          dump file

exit      Exits C shell and returns to main menu
          exit

format    Formats a floppy disk.
          format 

getenv    Displays environmental variable value
          getenv           Displays all variables
          getenv name      Displays specified variable

          name:   PATH   Search path
                  FC     Foreground color
                  BC     Background color
                  YEAR   global_curr_year
                  HOME   Default cd path
                  (or user-defined variable)

help      Displays this help file.  See also the shell 
          command man.
          help

jobs      Prints job control status
          jobs

kill      Kills a process that is running 
          kill pid          (pid=process ID)

ls        Lists files
          ls [-d] [-k] [-l] [-s] [spec]
          -d     Sorted by date
          -k     Sorted by file extension
          -l     Long list format
          -s     Sorted by size
          spec   Filename or path specification

man      Displays a specified on-line help file.  
         man filename

         The following help files are available:

            anal          (Analysis library)
            appif         (Application Prog. Interface library)
            ar            (librarian)
            asynclib      (Async library)
            aux2lib       (Aux Port 2 library)
            bop           (BOP library)
            bri           (BRI library)
            bsc           (BSC library)
            cc            (compiler)
            dis           (disassembler)
            egrep         (egrep)
            filefunc      (Low level MS-DOS file functions)
            hdlc          (HDLC library)
            lapd          (LAPD library)
            ld            (linker)
            libc          (standard C library functions)
            make          (make)
            mathlib       (Math library)
            mhdlc         (Multi-Link HDLC library)
            mlink         (Multi-Link LAPD library)
            pri           (PRI library)
            sdlc          (SDLC library)
            shell         (this file)
            taskcomm      (Task Communication library)
            v120          (V.120 library)
            vi            (vi commands)
            window        (Window functions)


mkdir     Creates a subdirectory
          mkdir dirname

mkres     Makes a program RAM resident
          mkres [-p] prog
          -p     Cannot be removed by memory manager

more      Displays file or pipe output, one screen at a time
          more  filename

mv        Moves a file.
          mv file1 file2    Replaces file2 with file1
          mv files dir      Moves files to specified directory

pwd       Prints current subdirectory
          pwd

rm        Deletes one or more files
          rm filename filename...

rmdir     Deletes a subdirectory
          rmdir dirname

rmres     Removes a program from residency
          rmres pid            (pid=process ID)

setenv    Sets an environment variable
          setenv name 'value'
          name:  PATH   Search path
                 FC     Foreground color
                 BC     Background color
                 YEAR   global_curr_year
                 HOME   Default cd path
                 (or user-defined variable)

shell     Starts another C Shell in a new page with the page
          banner named SHELL. 
          shell &

size      Prints file size information to standard output
          size files

time      Displays the system time.
          time

DEVICE FILES:      Must be in UPPER CASE letters:

                  .CON     Console
                  .PRT     Printer
                  .AUX     Serial port 2 (unformatted data)
                  .TTY     Serial port 2 (formatted data)


I/O REDIRECTION:   < name     Read 'name' in place of stdin
                   > name     Write stdout to the file 'name'
                   >> name    Append stdout to the file 'name'
                   >& name    Write stderr to the file 'name'
                  >>& name   Append stderr to the file 'name'

