
SIMP/L LAPD COMMANDS AND VARIABLES
* Extended SIMP/L LAPD only.

BREAK     Disassemble I-field into strings and mnemonics (udm)
          BREAK udm,$A,$B,udm,$C...  

BUFFER   Defines a message for the transmission buffer in hex.  
          BUFFER = xxx

BUILD     Assembles a message in the transmission buffer.
          BUILD udm,$A,$B,udm,$C...   

DEFINE    Defines a frame control mnemonic.
          DEFINE"name" = x
          name is a mnemonic name 
          x is the field width in bits (maximum width = 16)

LENGTH    Returns the length of the received frame.

LNKSTAT   Returns the status of the link.
          Returns:
          0   Link Disconnected Mode 
          1   Link Connection Requested
          2   Frame Rejected
          3   Disconnect Requested State
          4   Information Transfer State
          5   Local Station Busy
          6   Remote Station Busy
          7   Local & Remote Stations Busy
          8*   Remote Station Not Responding

LRDISPF   Outputs the last data field received to a printer
          or remote device. 
          LRDISPF

LTDISPF   Outputs the last data field built to a printer
          or remote device.  
          LTDISPF

MOD       Sets MOD 8 or MOD 128 sequencing.  
          MOD8
          MOD128

RDISPF    Displays the last data field received.
          RDISPF

REC       Transfers the next message from the reception 
          buffer to the trace buffer. 
          REC


SET       Sets the values of the SIMP/L LAPD variables.
          SET N200 = x     Cannot = 0
          SET N201 = x     Range: 2 - 512
          SET SAPI = x     Range: 0 - 63
          SET TEI = x      Range: 0 - 127
          SET T200 = x     No range
          SET T203 = x     No range
          SET Window = x   Range: 1 - 7
          SET Network
          SET Subscriber

*SET    Sets individual control options in the control 
        configuration byte.
          SET fnctn
          fnctn is one of the following:
          SET RESTRICT   Restrict rec'd responses to 
                         transmit SAPI and TEI.
          SET UNRESTRICT Accept responses matching 
                         user-defined SAPIs and TEIs 
                         and broadcast TEI.
          SET SBMCOL     Generate SABM(E) collisions.
          SET NOSBMCOL   Stop generating SABM(E) 
                         collisions.
          SET XIDEXCH    Transmit XID command on T203 timeout.
          SET NOXIDEXCH  Stop transmitting XIDs on 
                         T203 timeout.
          SET POLLSTCH   Set poll bit on status changing 
                         frames SABM(E) and DISC.
          SET NORMSTCH   Set poll bit normal on status 
                         changing frames SABM(E) and DISC.
          SET POLALXID   All XIDs polled.
          SET ALXIDNPL   All XIDs not polled.
          SET POLIXID    Poll XIDs with I-fields. 
          SET POLNIXID   Poll XIDs without I-fields.
          SET FILL=7E    Set interframe fill to 7E.
          SET FILL=FF    Set interframe fill to FF.

*SET CONFIG   Sets bit-mapped control configuration byte.
              SET CONFIG = xx
              xx is a hex value, as follows: 

               Bit 0   Reserved
               Bit 1   Interframe Fill      0 = 7E
                                            1 = FF
               Bit 2   Address Restricted   0 = Unrestricted 
                                            1 = Restricted 
               Bit 3   Status Changing Frames 
                         0 = Poll normal 
                         1 = Poll set 
               Bit 4   SABM(E) Response   0 = UA only.  
                                          1 = UA and SABM(E). 
               Bit 5,6   XID Poll Bit   
                         00 = No XIDs polled.  
                         01 = Poll XIDs without I-fields.
                         10 = Poll XIDs with I-fields.
                         11 = Poll all XIDs 
               Bit 7   XID Exchange   0 = Stop transmitting 
                                          XIDs on T203 timeout
                                      1 = Transmit XID command
                                          on T203 timeout.

*SET RSAPI   Sets values of 1 - 3 user-defined receive SAPIs. 
             SET RSAPIn = x
             n is the SAPI number, range 0 - 2 
             x is the SAPI value, range 0 - 255

*SET RTEI   Sets values of 1 - 3 user-defined receive TEIs. 
            SET RTEIn = x
            n is the TEI number, range 0 - 2 
            x is the TEI value, range 0 - 255

SLOF      Disconnects the link by sending DISC frame. 
          SLOF

SLON      Attempts to set the frame level link.
          SLON

STATUS    Displays status information.
          STATUS

TDISPF    Displays the last data field built. 
          TDISPF

TRAN      Transmits a message. 
          TRAN

TRUI      Transmits a UI frame
          TRUI

*TRXIDC   Transmits an XID command frame.
          TRXIDC

*TRXIDR   Transmits an XID response frame.
          TRXIDR


