
SS#7 STATISTICS

SS#7 Statistics displays and prints statistical information 

about about contiguous traffic on a single SS#7 link.  

Because of the nature of SS#7 traffic (high density and data 

rate), it is recommended that you run SS#7 statistics in 

condensed mode.  It is also suggested that you do not run other 

applications on the Chameleon when running SS#7 statistics.  If 

you run SS#7 statistics in non-condensed mode, the SS#7 

Statistics applications might not be able to process all the 

traffic on the line.  When less than 100% of the traffic is 

processed, the following message appears:

           Data Processed
               xx%

In non-condensed mode, if the Data Processed percentage drops 

below 60%, the following message appears periodically above the 

Data Processed field:

          Try condensed mode?

A times, the SS#7 screen may appear to be frozen.  However, when 

you terminate your session by pressing Run/Stop, the screen will 

be updated to reflect the statistical information up to that 

point.  To start a new statistical session, press F2 Reset.  If 

you press Run/Stop to restart acquisition (rather than Reset), 

the maximum response time fields will include the time that 

acquisition was halted.

The function keys are as follows:

F1 Print     Prints a report similar to the screen 
             display format.

F2 Reset     Resets the statistics values and time to zero.  

F3 Time/Date      If F3 Time is selected, time fields are
                  in the format: hh:mm:ss:ddd ddd AM/PM

                  If F3 Date is selected, time fields are
                  in the format:  dd MMM yyyy hh:mm:ss

F4 MSU/Bytes      Determines whether the number of MSUs 
                  or the number of bytes in MSUs 
                  is displayed in the MSU field.  It also 
                  affects the SU_ERM field when an excessive 
                  error rate occurs.  If F4 MSU is selected, 
                  the message EXCESS is displayed when an 
                  excessive error rate occurs.  When F4 
                  Bytes is selected, the current value of 
                  the SU_ERM is displayed.

The SS#7 Statistics fields are described below: 

Start Time      Displays the system time of the end of the 
                first event in a statistics session.

Last Time       Displays the system time of the end of the 
                last event in a statistics session.

DCE/DTE State and State Counters
                The states of the DCE and DTE are 
                highlighted below the time/date display.  The 
                state counters are in the right hand column.
                The states are as follows:

                OUT SVC     Out of Service
                OUT ALN     Out of Alignment
                NRM         Normal Alignment
                EMG         Emergency Alignment
                RDY         Aligned Ready
                IN SVC      In Service
                BUSY        Busy
                NOT RDY     Aligned Not Ready
                PRO OUT     Processor Outage

DCE/DTE Response  The time it takes the DCE/DTE to 
                  acknowledge an MSU from the other side.  

DCE/DTE Length    The length of MSUs transmitted by 
                  the DCE and the DTE.  

MSU/MSU BYTES     Displays the number of MSUs of valid length,
                  which had no transmission errors.  An 
                  invalid length is : length<3 or length>276

NEG ACKS          Relevant only for the Basic Retransmission 
                  method.  It displays the number of NACKS 
                  received by the DCE or DTE.

RETRY (PCR)
RETRIES           This displays the number of retries 
                  (unacknowledged MSUs with the same FSN sent 
                  from the DCE/DTE).  Both the field name 
                  (RETRY or RETRIES) and the count depend 
                  on the retransmission method in use.

ABORT SU          This displays the number of aborted Signal 
                  Units transmitted from the DCE or the DTE.

CRC ERRS          This displays the number of SUs with CRC 
                  errors transmitted from the DCE or DTE.

SU ERRS           This displays the total number of SUs 
                  transmitted from the DCE or DTE which were 
                  of invalid length.

SU_ERM            This is a self-maintained Signal Unit 
                  Error Rate Monitor which displays a message 
                  when an excessive error rate occurs, 
                  warning the user that the link is bad and 
                  should be taken out of service.  If SU_ERM 
                  >= 64, indicating that excessive  errors 
                  have occurred, the SU_ERM field displays 
                  either the message EXCESS or the 
                  SU_ERM value depending on the F4 key.

MSU/SEC           This field displays the average number of 
                  MSUs transmitted by the DCE/DTE each second.

MSU BYTE/SEC      This field displays the average number of
                  MSU bytes transmitted by the DCE/DTE each 
                  second.

DCE/DTE DATA      Displays the actual time the line is
                  utilized for data transfer as a percentage 
                  of the maximum capacity of the line.

OVERHEAD          This displays the percentage of time the 
                  line is utilized for the transfer of all 
                  non-MSU traffic.  This information is 
                  displayed for both the DCE and the DTE.


