TRANSPAC SITREX (T.SITREX)  AUTOMATIC SIMULATOR COMMANDS
     PP   Activate trace mode     (Ctrl P   Idle Trace)
     PS   Sitrex Command mode     (Exit     Exit command mode)
     P1   Simulator echoes Called and Calling addresses in 
          Call Confirmation packets

FRAME LEVEL COMMANDS:
     FBb........b     Send user-defined frame in binary
     FAa........a     Send user-defined frame in ASCII  
     FHh........h     Send user-defined fFrame in hex
     F(P)DISC         Send polled/unpolled DISC
     F(P)SABM         Send Polled/unpolled SABM
     F(F)UA           Send UA frame
     F(F)DM           Send DM frame
     F(F)CMDRh1h2(Vs)(,Vr)(B)(W)(X)(Y)(Z)    Send CMDR frame 
     FPRR(Nr)         Send an RR  
     FPRNR(Nr)        Send an RNR 
     F(F)RNR(Nr)      Send an RNR frame
     F(F)RR(Nr)       Send an RR frame
     F(F)REJ(Nr)      Send a Rej frame
     F(P)I(Ns)(,Nr)(PACKET)    Send I-frame w/ packet mnemonic
     F(P)I(Ns)(,Nr)(PHh1h2..)  Send I-frame w/ packet in hex
     F(P)I(Ns)(,Nr)(PAabcd..)  Send I-frame w/ packet in ASCII

PACKET LEVEL COMMANDS
     PHh........h     Send user-defined packet in hex
     PAa........a     Send user-defined packet in ASCII
     PUnCALL(D)(Na or V)(,Nb)(,Fh..h)(,DHh..h)    Call packet
     PUnCALL(D)(Na or V)(,Nb)(,Fh..h)(,DAa..a)    Call packet 
     PUnCCALL(D)      Send Call Confirmation packet
          n = pseudo-user, range 1 - 7
          D = delivery confirmation bit
          Na = called address in decimal
          V = called number configured in SITREX menu
          Nb = calling number in decimal
          F = called facilities
          DA = Data in ASCII
          DH = Data in hex
     PUnRR(Pr)    Send an RR packet
     PUnRNR(Pr)   Send an RNR packet
     PUnREJ(Pr)   Send a Reject packet
                      n = pseudo-user, range 1 - 7
                      Pr = 0-7 (Mod 8) or 0-127 (Mod 128)
     PRST(h1h2)(h3h4)   Send a Restart packet
                        h1h2=Cause code; h3h4=Diagnostic code

     PCRST              Send Restart Confirmation packet
     PUnCLEAR(h1h2)(h3h4)(,DHh...h)  Clear packet (hex data)
     PUnCLEAR(h1h2)(h3h4)(,DAa...a)  Clear packet (ASCII data)
     PUnCCLEAR                Clear Confirmation packet
     PUnRSET (h1h2)(h3h4)     Reset packet
     PUnCRSET                 Reset Confirmation
     PUnINT(h1h2)(h3h4)       Interrupt packet
     PUnCINT                  Interrupt Confirmation
                                 DA = Data in ASCII
                                 DH = Data in hex
                                 h1h2 = cause code
                                 h3h4 = diagnostic code
     PUnD(Ps)(Pr)(Q)(M)(D)Hh...h   Send Data packet in hex
     PUnD(Ps)(Pr)(Q)(M)(D)Aa...a   Send Data packet  in ASCII
                    n = pseudo-user, range 1 - 7
                    Q = Qualifier bit
                    M = More Data bit
                    D = Delivery confirmation bit
     PDIAGh1h2h3h4h5h6h7h8    Send diagnostic packet on LCN 0
                                 h1h2= diagnostic byte
                                 h3-h8 = 1st 3 bytes of header

DISPLAY AND PRINT COMMANDS
     DISPT           Display timer values in decimal
     LDISPT          Print the timer values in decimal
     DISPC           Display counters in hex
     LDISPC          Print counters in hex
     DISPV           Display variable values
     LDISPV          Print variable values
     DISPX           Display numeric variables in hex
     LDISPX          Print numeric variables in hex
     DISPM           Display length (decimal) and contents 
                     of message buffer (hex)
     LDISPM          Print length (decimal) and contents 
                     of message buffer (hex)
     PRINT text      Display text on the screen 
     LPRINT text     Output text to a printer
     LIST            Display the scenario in memory
     LLIST           Print the scenario in memory

PARAMETER COMMANDS
     SFON      Set frame level ON
     SFOF      Set frame level OFF
     SPON      Set packet level ON
     SPOF      Set packet level OFF
     SLON      Set Link ON
     SLOF      Set Link OFF
     LNKUP     Force Link On
     SCRC+     Frame transmitted with good CRC
     SCRC-     Frame transmitted without CRC
     SKx       Set frame window size  (x=window size=1-7)
     SUnW(R or T)x    Set packet window size 
                      x = packet window size, range 1 - 7
                      T = Transmit window size
                      R = Receive window size
                      n = pseudo-user number,range 1 - 7
     SNS       Increment N(s)
     SNS-      Decrement N(s)
     SNSx      Set N(s), range 0 - 7
     SNR+      Increment N(r) 
     SNR-      Decrement N(r)
     SNRx      Set N(r), range 0 - 7
     SUnPR+       Increment P(r)
     SUnPR-       Decrement P(r)
     SUnPRx(xx)   Set P(r); 0-7 (Mod 8) or 000-127 (Mod 128) 
     SUnPS+       Increment P(s)
     SUnPS-       Decrement P(s)
     SUnPSx(xx)   Set P(s); 0-7 (Mod 8) or 000-127 (Mod 128)
     SUnLTnnn     Set max length of transmitted data packet
     SUnLRnnn     Set max length of received data packet
     SGTh1h2      Set length of data in data packet
                  sent by traffic generator
     SPAh1h2      Set  Primary Address (h1h2 is the address)
     SSAh1h2      Set Secondary Address (h1h2 is the address)
     SLGh1        Assign a default LCGN for the next
                  placed call (h1 = LCGN in hex)
     Snnn+        Set interface lead nnn active (space)
     Snnn-        Set interface lead nnn inactive (mark)
                  nnn is one of the signal numbers:
                    DCE     106     CTS
                            107     DSR
                            109     DCD
                            122     SDCD
                            125     RI
                    DTE     105     RTS
                            108     DTR
     IFnnn+dddd    If interface lead nnn is active, 
                   jump to line dddd
     IFnnn- dddd   If interface lead nnn is inactive, 
                   jump to line dddd
     ST'h1h2h3h4   Set timer T' 
     ST"h1h2       Set timer T"
     STUh1h2h3h4   Set user-defined timer TU  
     SCnh1h2       Set counter n to hex value h1h2
     SCn+          Increment counter n (0-7)
     SCn-          Decrement counter n (0-7)
     SPUnA         Define pseudo-user as a Data Absorber
     SPUnE         Define pseudo-user as an Echo Generator
     SPUnT         Define pseudo-user as a Traffic Generator
                     n is pseudo-user no.in the range (3 -7)
                     Pseudo-users 1 and 2 are reserved
     SUnVPh1h2h3   Set up a PVC
     SUnVCh1h2h3   Set up an SVC
                      n = pseudo-user number
                      h1 = LCGN; h2h3 = LCN

NUMERIC VARIABLE COMMANDS
     SXAHh1h2   Assign a value to XA in hex
     SXA+XB     Add XA and XB and store result in XA 
     SXA-XB     Subtract XB from XA and store result in XA
     SXA.XB     Logical AND 
     SXA/XB     Logical OR 
     SXA@XB     Logical Exclusive OR (XOR)
     SXADn      Shift XA n times to the right (n=1-7)
     SXAGn      Shift XA n times to the left (n=1-7)
     SXARn      Rotate XA n times to the right (n=1-7)
     SXALn      Rotate n times to the left (n=1-7)
     INPUT XA   Scenario waits for the user to enter 
                a two-digit hex value and then assigns the
                value to a numeric variable 
     IXA=XB dddd      If XA = XB, jump to line dddd
     IXA=h1h2 dddd    If XA = h1h2, jump to line dddd
     IXA#XB dddd      If XA # XB, jump to line dddd
     IXA#h1h2 dddd    If XA # h1h2, jump to dddd
     IXA<XB dddd      If XA < XB, jump to line dddd
     IXA<h1h2 dddd    IF XA < h1h2, jump to line dddd
     IXA>XB dddd      IF XA > XB, jump to line dddd
     IXA>h1h2 dddd    If XA > h1h2, jump to line dddd
     IXA(XB dddd      If XA <= to XB, jump to line dddd
     IXA(h1h2 dddd    If XA <= to h1h2, jump to line dddd
     IXA)XB dddd      If XA >= XB, jump to line dddd
     IXA)h1h2 dddd    IF XA >= h1h2, jump to line dddd


MESSAGE BUFFER COMMANDS:
     SMHh...h    Write value into message buffer
                 h...h is  a maximum of 128 hex digits
     SMAa...a    Write ASCII characters into message buffer
                 a...a is a maximum of 64 ASCII bytes
     SXAIXB      Insert value of variable XA in the byte of 
                 the buffer indicated by variable XB
     SXAIh1h2    Insert the value of XA in the byte of the 
                 buffer indicated by the hex value h1h2
     SXAI00      Assign a message buffer length = XA  
     SXAO00      Extract buffer length and store it in XA 
     SXAOXB      Extract byte at XB, and store in XA
     SXAOh1h2    Extract byte at h1h2, and store in XA

TEST MESSAGE BUFFER CONTENTS:
     ISXX/YY(,XX/YY)(....) dddd    If contents of message 
                                   buffer=byte and mask
                                   configuration, jump to dddd
     FM      Transmit the frame, assigning 1st byte of 
             message buffer (byte 1) to 1st byte of frame
     PM      Assign contents of message buffer, excluding 
             length (byte 0), to the I-Field of  a frame
             (byte 3 and following) and transmit it
     PUnDS   Assign contents of message buffer (beginning 
             with byte 1) to data portionof the I-Field,
             and transmit it from pseudo-user n

TRACE BUFFER COMMANDS
     TPRINT       Display interpreted trace, data in hex
     TPRINTA      Display interpreted trace, data in ASCII
     TPRINTF      Display unintrepreted trace in hex
     TPRINTP      Display frame level, with I-field in hex
     LTPRINT      Print interpreted trace, data in hex
     LTPRINTA     Print interpreted trace, data in ASCII
     LTPRINTF     Print unintrepreted trace in hex
     LTPRINTP     Print frame level, with I-field in hex
     TLOAD        Load Trace File 
     TSAVE"0file" Save trace buffer to the hard disk
     TSAVE"1file" Save trace buffer to floppy disk
     STON         Set the trace buffer ON
     STOF         Set trace buffer OFF
     TRACE        Clear Trace
     STRh1h2      Define no. of data bytes displayed by the 
                  trace buffer;  h1h2 = hex value, range 0-FF

WAIT COMMANDS
     WF(command)              Wait for frame type
     WP(command)              Wait for packet type
     WTXX/YY(,XX/YY)(...)     Wait for byte mask
     WSF(command)             Wait for frame, and store it
     WSP(command)             Wait for packet, and store it
     WSTXX/YY(,XX/YY)(...)    Wait for byte mask, and store it
     SWTxxxx              Set Watch Dog Timer; xxx=.0001 units
     SADRWT dddd          Set Watch-Dog Timer jump address
     SELSE dddd           Jump to line dddd if received item 
                          is not the one specified in WAIT 

PROGRAM MANAGEMENT COMMANDS     
     &xfilename     Load and execute a scenario
                    x = 0 (hard drive) or 1 (floppy drive)
     LOAD           Load a scenario file into memory
     REM (text)     Enter programming remarks in a scenario
     NEW            Erase the scenario in memory
     RUN            Execute the scenario in memory 
     SAVE           Save the scenario in memory to disk 

MISCELLANEOUS COMMANDS
     *h1h2     Set Up beginning of loop;
               h1h2=times to execute loop, range 1 - FF
     ;         End of loop 
     IFT' dddd     If timer T' = 0, jump to line dddd
     IFT" dddd     If timer T" = 0, jump to line dddd
     IFTU dddd     If timer TU = 0, jump to line dddd
     IFCn dddd     If counter n = 0, jump to line dddd
     GOTO dddd     Unconditional jump to line number dddd 
     GOSUB dddd    Unconditional jump to line number dddd 
                   and execute until RETURN is encountered
     RETURN        End of GOSUB subroutine
     HALT          Exit SITREX and return to main menu
     EXIT          Exit command mode and return to the 
                   Automatic X.25 Simulator
     ESCape key    Stop scenario execution




