X.21 INTERFACE

The X.21 Interface enables the Chameleon to monitor an X.21
Interface, or to simulate (emulate) an X.21 Interface as 
either a DTE or DCE.  The X.21 Interface conforms to CCITT 
X.21 1984, V.11 1984 and X.4 1980 recommendations.

In Monitor mode, the X.21 Interface will analyze all incoming 
Layer 1 information.

In Simulation mode, the X.21 Interface can be used in two ways:

-  Manually, to test the physical layer without sending higher 
   level information across it.

-  Automatically, using the interface to setup and maintain the 
   physical layer of a call, while simulating the higher level 
   information through a Basic simulator or a C application.

In both cases, complete analysis is performed on the
received signal.

Simulation is done through State and Timer Tables.  The 
standard CCITT tables are included for circuit-switched 
protocols (CCITTCKT), packet-switched protocols (CCITTPKT) 
and circuit-switched protocols with enhanced sub-addressing 
(CCITTENH).  These tables can be modified to create a custom 
State/Timer table for any test scenario.

To use the X.21 Interface, from the main configuration page;

  -  Select X.21 as the Physical Interface

  -  Press F7 Physicl to display the X.21 Setup Menu,
     This is the menu that is used to select the X.21 mode of 
     operation.

  -  Configure the X.21 Interface and press Go to return to 
     the main configuration page

  -  Configure the other port parameters for your testing 
     application

  -  Press Go to display the Applications Selection menu

  -  If you wish to monitor the X.21 Interface during your 
     test application, load the X21 application.  This 
     provides the runtime page and the State/Timer Table 
     editors.

  -  Use the Applications Selection menu to load any other 
     application programs required for your testing application

  -  Press Go to start the applications

Refer to Chapter 18 of the Protocol Interpretation Manual for 
detailed information on the X.21 Interface.
